<ion-header>
  <ion-navbar color="primary" text-center>
    <ion-title>Trivia</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-grid *ngIf="gameState.results">

    <!-- сводные результаты -->
    <ion-row>
      <ion-col width-50 offset-25>
        <h2 class="feedback">
          Your results
        </h2>
        <h1>
          You got {{correctTotal}} out of {{quizTotal}}!
        </h1>
        <p *ngIf="scoreType === 'perfect'">
          You are the master of Trivia!
        </p>
        <p *ngIf="scoreType === 'good'">
          You almost got a perfect score! keep it up!
        </p>
        <p *ngIf="scoreType === 'bad'">
          You can do this! Try again?
        </p>
      </ion-col>
    </ion-row>

    <!-- вопросы -->
    <ion-row>
      <ion-col>
        <ion-card *ngFor="let result of results" color="{{result.isCorrect ? 'correct-answer' : 'wrong-answer'}}">
          <ion-card-content>
            <h2><b>Question:</b></h2>
            <p>{{result.question}}</p>
            <h2><b>Your answer:</b></h2>
            <p>{{result.givenAnswer}}</p>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>

    <!-- кнопки -->
    <ion-row>
      <ion-col text-center>
        <button ion-button color="secondary" (click)="backHome()" icon-start>
          <ion-icon name="arrow-back"></ion-icon>
          Back to home
        </button>
      </ion-col>
      <ion-col text-center>
        <button ion-button color="secondary" (click)="restart()" icon-end>
          Restart quiz
          <ion-icon name="refresh"></ion-icon>
        </button>
      </ion-col>
    </ion-row>

  </ion-grid>
</ion-content>
